package com.example.venue_reservation_service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.venue_reservation_service.domain.School;
import com.example.venue_reservation_service.service.SchoolService;
import com.example.venue_reservation_service.mapper.SchoolMapper;
import com.example.venue_reservation_service.vo.Result;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 31586
* @description 针对表【venue_school(学校身份表)】的数据库操作Service实现
* @createDate 2025-01-05 15:42:15
*/
@Service
public class SchoolServiceImpl extends ServiceImpl<SchoolMapper, School>
    implements SchoolService{

    @Override
    public Result queryColleges() {
        // 获取各个单位
        QueryWrapper<School> collegeWrapper = new QueryWrapper<>();
        collegeWrapper.select("DISTINCT college");
        List<String> colleges = getBaseMapper().selectObjs(collegeWrapper)
                .stream()
                .map(obj -> (String) obj).toList();
        return Result.ok(colleges).message("ok");
    }
}




