package com.example.venue_reservation_service;

import cn.hutool.core.lang.UUID;
import com.example.venue_reservation_service.controller.UserController;
import com.example.venue_reservation_service.dto.AdminDTO;
import com.example.venue_reservation_service.filter.SensitiveFilter;
import com.example.venue_reservation_service.utils.MD5Util;
import com.example.venue_reservation_service.vo.Result;
import jakarta.annotation.Resource;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.apache.commons.io.FilenameUtils;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.web.client.RestTemplate;

import java.util.*;

@SpringBootTest
class VenueReservationServiceApplicationTests {


    @Resource
    private RestTemplate restTemplate;

    @Test
    void contextLoads() throws Exception {
        System.out.println(MD5Util.generateRandomString(10));
    }

    public static void main(String[] args) {
        // 1. 初始化敏感词库
        List<String> sensitiveWords = Arrays.asList("赌博", "毒品", "色情");

        // 2. 构建过滤器
        SensitiveFilter filter = new SensitiveFilter();
        filter.buildTrie(sensitiveWords);

        // 3. 测试文本过滤
        String input = "远离赌博，拒绝毒品，健康上网！";
        String output = filter.filter(input);

        System.out.println("原始文本: " + input);
        System.out.println("过滤结果: " + output);
        // 输出：远离***，拒绝***，健康上网！
    }


}